changeset 29498:fe656bc7c3f5

8072754: com/sun/jdi/NativeInstanceFilter.java requires adjustments to work with module boundaries Summary: The tests uses sun.misc.Version to check if the JVM version is greater than a certain version. For the JDK 9 the condition is always true and the usage of sun.misc.Version thus can be eliminated. Reviewed-by: alanb, sla Contributed-by: Alexander Kulyakhtin <alexander.kulyakhtin@oracle.com>
author iignatyev
date Wed, 11 Mar 2015 00:45:02 +0300
parents e0d12d371446
children 26b44614af05
files jdk/test/com/sun/jdi/NativeInstanceFilterTarg.java
diffstat 1 files changed, 3 insertions(+), 21 deletions(-) [+]
line wrap: on
line diff
--- a/jdk/test/com/sun/jdi/NativeInstanceFilterTarg.java	Tue Mar 10 09:37:56 2015 +0100
+++ b/jdk/test/com/sun/jdi/NativeInstanceFilterTarg.java	Wed Mar 11 00:45:02 2015 +0300
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2010, 2011, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2010, 2015, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -21,36 +21,18 @@
  * questions.
  */
 
-import sun.misc.Version;
-
 public class NativeInstanceFilterTarg {
 
     public static void main(String args[]) {
-        boolean runTest = jvmSupportsJVMTI_12x();
         String s1 = "abc";
         String s2 = "def";
         latch(s1);
         s1.intern();
-        if (runTest) {
-            s2.intern(); // this is the call that generates events that ought
-                         // to be filtered out.
-        } else {
-            System.out.println("Neutering test since JVMTI 1.2 not supported");
-        }
+        s2.intern(); // this is the call that generates events that ought
+                     // to be filtered out.
     }
 
     // Used by debugger to get an instance to filter with
     public static String latch(String s) { return s; }
 
-    public static boolean jvmSupportsJVMTI_12x() {
-        // This fix requires the JVM to support JVMTI 1.2, which doesn't
-        // happen until HSX 20.0, build 05.
-        int major = Version.jvmMajorVersion();
-        int minor = Version.jvmMinorVersion();
-        int micro = Version.jvmMicroVersion();
-        int build = Version.jvmBuildNumber();
-
-        return (major > 20 || major == 20 &&
-                   (minor > 0 || micro > 0 || build >= 5));
-    }
 }